#
# spec file for package aerc
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2023 Hannes Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define _libexecdir %{_exec_prefix}/libexec
Name:           aerc
Version:        0.16+git.1702630709.bd29700e
Release:        0
Summary:        An email client for terminals
License:        MIT
Group:          Productivity/Networking/Email/Clients
URL:            https://aerc-mail.org/
#!RemoteAssetUrl: git+https://git.sr.ht/~mcepl/aerc#devel 
Source0:        vendor.tar.gz
BuildRequires:  gcc
BuildRequires:  go
BuildRequires:  make
BuildRequires:  notmuch-devel
BuildRequires:  scdoc
Recommends:     dante
Recommends:     w3m

%description
aerc is an email client that runs in terminals.

%prep
# http://ftp.rpm.org/max-rpm/s1-rpm-specref-macros.html
%setup -q -n aerc -c
%autopatch -p1

cp -a %{_sourcedir}/aerc/* .

sed -i 's|#!/usr/bin/env python3|#!/usr/bin/python3|' \
    ./contrib/carddav-query \
    filters/show-ics-details.py

%build
%if "%{_arch}" == "ppc64"
    %make_build CC=cc GOFLAGS=""
%else
    %make_build CC=cc GOFLAGS="-buildmode=pie -tags=notmuch"
%endif

%install
%make_install PREFIX=%{_prefix} LIBEXECDIR=%{_libexecdir}/%{name}

%files
%license LICENSE
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/carddav-query
%dir %{_libexecdir}
%{_libexecdir}/%{name}
%{_mandir}/man*/aerc*%{?ext_man}
%{_mandir}/man1/carddav-query.1%{?ext_man}

%changelog
